ArcGISRuntime 100.14 gpkx fails but the script runs fine with arcgispro-py3 from ArcGIS Pro

79
1
08-10-2022 08:20 PM
noodle
by
New Contributor II

Because my gpkx fails under local GP service at arcpy.JSONToFeatures_conversion(), I tried with Visual Studio 2022 with Pyson Environment pointed to arcgispro-py3 under ArcGIS Pro 2.9.4.   The script ran fine with the same inputs.  I wanted to try the script with Visual Studio 2022 using Local Server arcgispro-py3.  It fails with permission denied.  Is there any way to do this?   I really want to debug to identify why Local GP server fails but runs fine under Visual Studio.  Interesting thing I found was that Local Server arcpy version is 10.9.1 vs. ArcGIS Pro 2.9.4 arcpy version is 2.9.4.  The version should be the same?

0 Kudos
1 Reply
noodle
by
New Contributor II

Here is the message from Local Server exception.  I'm passing in_json_file as string which contains the file path (the extension of the file is .json).   What does "Parameters are invalid" mean?

Traceback (most recent call last):
File "<string>", line 60,
in main File "C:\Program Files\ArcGIS SDKs\LocalServer100.14\64\Pro\Resources\ArcPy\arcpy\conversion.py", line 1169,
in JSONToFeatures raise e File "C:\Program Files\ArcGIS SDKs\LocalServer100.14\64\Pro\Resources\ArcPy\arcpy\conversion.py", line 1166,
in JSONToFeatures retval = convertArcObjectToPythonObject(gp.JSONToFeatures_conversion(*gp_fixargs((in_json_file, out_features, geometry_type), True)))
File "C:\Program Files\ArcGIS SDKs\LocalServer100.14\64\Pro\Resources\ArcPy\arcpy\geoprocessing\_base.py", line 512,
in <lambda> return lambda *args: val(*gp_fixargs(args, True))
arcgisscripting.ExecuteError: Failed to execute. Parameters are not valid.
ERROR 000814: Invalid file type Failed to execute (JSONToFeatures).
During handling of the above exception, another exception occurred:
Traceback (most recent call last): File "<string>", line 82,
in <module> File "<string>", line 63,
in main File "C:\AEDT\Temp\NETLOC~1\Documents\ArcGIS\Pkgs\jsonconversion_98A0\p20\jsonconversion\aedt.py", line 101,
in handleExceptions arcpy.AddError(e.message)
AttributeError: 'ExecuteError' object has no attribute 'message'
Message type esriJobMessageTypeInformative

 

0 Kudos